Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.common
Class SecurityRoleRefSetImpl

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractSet
              java.util.HashSet
                  org.jasig.portal.container.om.common.SecurityRoleRefSetImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.Set, org.apache.pluto.om.common.SecurityRoleRefSet, org.apache.pluto.om.common.SecurityRoleRefSetCtrl, org.apache.pluto.om.Controller, org.apache.pluto.om.Model

    public class SecurityRoleRefSetImpl

extends java.util.HashSet
implements org.apache.pluto.om.common.SecurityRoleRefSet, org.apache.pluto.om.common.SecurityRoleRefSetCtrl, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.3 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Constructor Summary
`SecurityRoleRefSetImpl()`

Method Summary
`org.apache.pluto.om.common.SecurityRoleRef` | `add(org.apache.pluto.om.common.SecurityRoleRef securityRoleRef)`
`org.apache.pluto.om.common.SecurityRoleRef` | `get(java.lang.String name)`
`void` | `remove(org.apache.pluto.om.common.SecurityRoleRef securityRoleRef)`
`org.apache.pluto.om.common.SecurityRoleRef` | `remove(java.lang.String name)`

Methods inherited from class java.util.HashSet
`add, clear, clone, contains, isEmpty, iterator, remove, size`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### SecurityRoleRefSetImpl

    public SecurityRoleRefSetImpl()

Method Detail

### get

    public org.apache.pluto.om.common.SecurityRoleRef get(java.lang.String name)

  Specified by:
    `get` in interface `org.apache.pluto.om.common.SecurityRoleRefSet`

### add

    public org.apache.pluto.om.common.SecurityRoleRef add(org.apache.pluto.om.common.SecurityRoleRef securityRoleRef)

  Specified by:
    `add` in interface `org.apache.pluto.om.common.SecurityRoleRefSetCtrl`

### remove

    public void remove(org.apache.pluto.om.common.SecurityRoleRef securityRoleRef)

  Specified by:
    `remove` in interface `org.apache.pluto.om.common.SecurityRoleRefSetCtrl`

### remove

    public org.apache.pluto.om.common.SecurityRoleRef remove(java.lang.String name)

  Specified by:
    `remove` in interface `org.apache.pluto.om.common.SecurityRoleRefSetCtrl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD